MKC_CHECK_CUSTOM(1)

NAME
mkc_check_custom - run user's custom checks.

SYNOPSIS
mkc_check_custom [-r] <file>
mkc_check_custom -h

DESCRIPTION
mkc_check_custom takes a file and tries to compile or runs it. If file is an executable file, mkc_check_custom runs it and outputs 1 if it succeeded or 0 otherwise. If file is not executable, mkc_check_custom tries to compile and (if -r applied ) run a generated executable. Again, if compilation/run succeeded, 1 is output, otherwise -- 0. What type of compiler to use depend on file extension. '.c' corresponds to ${CC} (C language), '.cc', '.cxx', '.C' and '.cpp' correspond to ${CXX} (C++ language), '.f' -- to ${FC} (Fortran).

OPTIONS

-h  display help message

ENVIRONMENT

CC  C compiler

CXX C++ compiler

FC  Fortran compiler

CPPFLAGS
    Preprocessor flags for C and C++

CFLAGS
    Compilation flags for C

CXXFLAGS
    Compilation flags for C++

FFLAGS
    Compilation flags for Fortran

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_custom alloca_in_stdlib.c
   mkc_check_custom custom_checks/cxx_foo_test.cc
   mkc_check_custom /full/path/to/yacc_need_liby

AUTHOR
Aleksey Cheusov <vle@gmx.net>